package com.nokia.minio_client.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.nokia.minio_client.properties.MinioClientProperties;
import com.nokia.minio_client.service.MinioClientService;

import io.minio.MinioClient;

@Configuration
@EnableConfigurationProperties(MinioClientProperties.class)
public class MinioClientAutoConfiguration {

    @Autowired
    private MinioClientProperties properties;

    @Bean
    public MinioClient minioClient() {
        return MinioClient.builder()
                .endpoint(properties.getEndpoint())
                .credentials(properties.getAccess(), properties.getSecret())
                .build();
    }

    @Bean
    public MinioClientService minioClientService() {
        return new MinioClientService();
    }
}
